/*
    This sketch sends a string to a TCP server, and prints a one-line response.
    You must run a TCP server in your local network.
    For example, on Linux you can use this command: nc -v -l 3000
*/

#include <ESP8266WiFi.h>
#include <ESP8266WiFiMulti.h>

#ifndef STASSID
#define STASSID "INSERT"
#define STAPSK  "INSERT"
#endif

int PressurePin= A0;
int force;
int t= 0;
int c = 0;
int expThreshold = 20;
int flag = 0; //1 is true 0 is false.
String check;
int timer;
float m;



const char* ssid     = STASSID;
const char* password = STAPSK;

const char* host = "INSERT";
const uint16_t port = 49692;

ESP8266WiFiMulti WiFiMulti;

void setup() {
  Serial.begin(115200);

  // We start by connecting to a WiFi network
  WiFi.mode(WIFI_STA);
  WiFiMulti.addAP(ssid, password);

  Serial.println();
  Serial.println();
  Serial.print("Wait for WiFi... ");

  while (WiFiMulti.run() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }

  Serial.println("");
  Serial.println("WiFi connected");
  Serial.println("IP address: ");
  Serial.println(WiFi.localIP());

  delay(500);
}


void loop() {
  Serial.print("connecting to ");
  Serial.print(host);
  Serial.print(':');
  Serial.println(port);

  // Use WiFiClient class to create TCP connections
  WiFiClient client;

  if (!client.connect(host, port)) {
    Serial.println("connection failed");
    Serial.println("wait 5 sec...");
    delay(5000);
    return;
  } 
  // This will send the request to the server

  
delay(500);
// Serial.println("Start Reading");
 //Serial.println("test 1");
force = analogRead(PressurePin);
//Serial.println("\nMeasured Pressure");
//Serial.print(force);

  if (force > expThreshold){
  c++;
}

if(c%2 == 0){
  check = "even";
} else {
  check = "odd";
}


  
if ((force > expThreshold) && (check == "odd")){
  
  flag = 1; 
  
} else if ((force > expThreshold) && (check == "even")){
  
  flag = 0; 
}


if (flag == 1){
  //Serial.println("\nPressure > "); 
  //Serial.print(expThreshold);
  //Serial.println("ON");
  t = t + 1;
  Serial.println(t);  
  timer = t;
  m = timer/60.0f;
  client.print(timer);
  
} else {
  
  //Serial.println("\nPressure < ");
  //Serial.print(expThreshold);
  //Serial.println("OFF");
  client.print(timer);
  t = 0;  
}

//Serial.println("\n");
 //Serial.println(t);

//Serial.println("\n\nUsed Time in Seconds:");
//Serial.print(t);



  client.print("\n");
  Serial.println("closing connection");
  client.stop();

  Serial.println("wait 5 sec...");
  delay(500);
}
