/*
    This sketch sends a string to a TCP server, and prints a one-line response.
    You must run a TCP server in your local network.
    For example, on Linux you can use this command: nc -v -l 3000
*/

#include <ESP8266WiFi.h>
#include <ESP8266WiFiMulti.h>
//#include <ESP8266WebServer.h>

#ifndef STASSID
#define STASSID "INSERT"
#define STAPSK  "INSERT"
#endif

const char* ssid     = STASSID;
const char* password = STAPSK;

const char* host = "INSERT";
const uint16_t port = 12678;

WiFiClient client;

int pressurePin = A0;
int force;//value recieved frmo sensor
int w; //total weight
String sWeight; //single weight
int ws = 2; //weight of a single item
int nI; //number of items

ESP8266WiFiMulti WiFiMulti;

void setup() {
  Serial.begin(115200);

  // We start by connecting to a WiFi network
  WiFi.mode(WIFI_STA);
  WiFiMulti.addAP(ssid, password);

  Serial.println();
  Serial.println();
  Serial.print("Wait for WiFi... ");

  while (WiFiMulti.run() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }

  Serial.println("");
  Serial.println("WiFi connected");
  Serial.println("IP address: ");
  Serial.println(WiFi.localIP());

  delay(500);
}


void loop() {
  Serial.print("connecting to ");
  Serial.print(host);
  Serial.print(':');
  Serial.println(port);

  // Use WiFiClient class to create TCP connections
  WiFiClient client;

  if (!client.connect(host, port)) {
    Serial.println("connection failed");
    Serial.println("wait 5 sec...");
    delay(5000);
    return;
  }

  // This will send the request to the server

  
  delay(250); //delay
  force = analogRead(pressurePin); //take in reading from sensor
  Serial.println(force); //print the value read

  //catagorize readings since an FSR is not accurate and requires some level of calibration

  if (force <= 20){
    w = 20;
  } else if (force <= 40){
    w = 40;
  } else if (force<= 60){
    w = 60;
  } else if (force <= 80){
    w = 80;
  } else if (force <= 100) {
    w = 100;
  } else if ( force <= 150) {
    w = 150;
  } else if (force <= 200){
    w = 200;
  } else if (force <= 250){
    w = 250;
  } else if (force <= 300) {
    w = 300;
  } else {
    w = 400;
  }
  
  nI = w / ws; //calculate the number of items 
  Serial.println(nI); //print the number of items value
  client.print(nI); //send the final value to the panel (server)
  client.print("\n");
  
  


  Serial.println("closing connection");
  client.stop();

  Serial.println("wait 5 sec...");
  delay(1000);
}
